"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AyobaContext = exports.AyobaProvider = void 0;
var react_1 = __importDefault(require("react"));
var url_1 = require("../utils/url");
var senders_1 = require("../senders");
var ayobaStubbedApi = __importStar(require("../stub"));
var init_1 = require("../init");
var listeners_1 = require("../listeners");
window.onPermissionsAccepted = listeners_1.onPermissionsAccepted;
window.onPaymentStatusChanged = listeners_1.onPaymentStatusChanged;
window.onNicknameChanged = listeners_1.onNicknameChanged;
window.onAvatarChanged = listeners_1.onAvatarChanged;
window.onProfileChanged = listeners_1.onProfileChanged;
window.onload = function () { return console.log('load'); };
var AyobaContext = react_1.default.createContext({});
exports.AyobaContext = AyobaContext;
var AyobaProvider = function (_a) {
    var children = _a.children;
    var context = (0, url_1.getAyobaContext)();
    var ayobaWindowApi = (0, init_1.getAyoba)();
    var ayobaApi = ayobaWindowApi || ayobaStubbedApi;
    console.log('List of methods available:');
    console.log({ context: context });
    console.log(ayobaWindowApi
        ? 'We are in Ayoba context, using real API...'
        : 'We are not in Ayoba context, using stubbed API...');
    Object.getOwnPropertyNames(ayobaApi).forEach(function (value) {
        console.log(value);
    });
    // if (!ayobaApi) {
    // throw new Error('Ayoba API not found');
    // }
    var methods = (0, senders_1.getAyobaSenders)(ayobaApi);
    return react_1.default.createElement(AyobaContext.Provider, { value: __assign({}, methods) }, children);
};
exports.AyobaProvider = AyobaProvider;
