import { AyobaDiscoveryContext } from '../types.ayoba';
import { PaymentErrorId, PaymentStatus } from '../types.payments';
declare type PaymentStatusUpdate = {
    error?: PaymentErrorId;
    status: PaymentStatus;
    transactionId?: string;
};
declare type StartPaymentHandler = Pick<AyobaDiscoveryContext, 'startPayment'>;
declare type PaymentHookReturnType = StartPaymentHandler & Partial<PaymentStatusUpdate> & {
    cleanUp: () => void;
};
declare const useAyobaPayments: () => PaymentHookReturnType;
export { useAyobaPayments };
export type { PaymentStatusUpdate };
