"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAyobaPayments = void 0;
var react_1 = require("react");
var client_1 = require("../client");
var types_payments_1 = require("../types.payments");
var useAyobaPayments = function () {
    var ayobaClient = (0, client_1.getAyobaMethodsInstance)();
    var _a = (0, react_1.useState)(), paymentResult = _a[0], setPaymentResult = _a[1];
    var handlePaymentStart = function () {
        var _a;
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        ayobaClient.startPayment.apply(ayobaClient, args);
        (_a = window === null || window === void 0 ? void 0 : window.onPaymentStatusChanged) === null || _a === void 0 ? void 0 : _a.call(window, '', types_payments_1.PAYMENT_STATUS.PENDING);
    };
    (0, react_1.useEffect)(function () {
        var handleStatusUpdate = function (evt) { return setPaymentResult(evt.detail); };
        document.addEventListener('onPaymentStatusChanged', handleStatusUpdate);
        return function () {
            document.removeEventListener('onPaymentStatusChanged', handleStatusUpdate);
        };
    }, []);
    return {
        startPayment: handlePaymentStart,
        error: paymentResult === null || paymentResult === void 0 ? void 0 : paymentResult.error,
        status: paymentResult === null || paymentResult === void 0 ? void 0 : paymentResult.status,
        transactionId: paymentResult === null || paymentResult === void 0 ? void 0 : paymentResult.transactionId,
        cleanUp: function () { return setPaymentResult(undefined); },
    };
};
exports.useAyobaPayments = useAyobaPayments;
