"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAyobaProfile = void 0;
var react_1 = require("react");
var client_1 = require("../client");
var listeners_1 = require("../listeners");
window.onNicknameChanged = listeners_1.onNicknameChanged;
window.onAvatarChanged = listeners_1.onAvatarChanged;
window.onProfileChanged = listeners_1.onProfileChanged;
var useAyobaProfile = function () {
    var ayobaClient = (0, client_1.getAyobaMethodsInstance)();
    var _a = (0, react_1.useState)({ msisdn: ayobaClient.getMsisdn() }), profile = _a[0], setProfile = _a[1];
    (0, react_1.useEffect)(function () {
        var handleProfileUpdate = function (evt) { return setProfile(function (p) { return (__assign(__assign({}, p), evt.detail)); }); };
        document.addEventListener('onProfileChanged', handleProfileUpdate);
        document.addEventListener('onAvatarChanged', handleProfileUpdate);
        document.addEventListener('onNicknameChanged', handleProfileUpdate);
        return function () {
            document.removeEventListener('onProfileChanged', handleProfileUpdate);
            document.removeEventListener('onAvatarChanged', handleProfileUpdate);
            document.removeEventListener('onNicknameChanged', handleProfileUpdate);
        };
    }, []);
    return profile;
};
exports.useAyobaProfile = useAyobaProfile;
