"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAyoba = void 0;
/**
 * Checks if the microapp is running inside ayoba and on which OS
 * returns the OS name or null if not running inside ayoba
 */
function getAyoba() {
    // @ts-ignore
    var userAgent = navigator.userAgent || navigator.vendor || window.opera;
    var isWindowsDevice = /windows phone/i.test(userAgent);
    var isIosDevice = /iphone|ipad|ipod/i.test(userAgent);
    var isAndroidDevice = /android/i.test(userAgent);
    // Must come first because the UA also contains "Android"
    if (isWindowsDevice)
        return;
    // @ts-ignore
    if (isIosDevice && !window.MSStream)
        return;
    // @ts-ignore
    if (isAndroidDevice)
        return window.Android;
}
exports.getAyoba = getAyoba;
